Bug 1816182 - CVE-2020-5249 rubygem-puma: attacker is able to use carriage return character to insert malicious content (HTTP Response Splitting), this could lead to XSS [fedora-all]
Summary: CVE-2020-5249 rubygem-puma: attacker is able to use carriage return character...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-puma
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-5249
TreeView+ depends on / blocked
 
Reported: 2020-03-23 13:58 UTC by Marian Rehak
Modified: 2020-04-09 18:18 UTC (History)
3 users (show)

Fixed In Version: rubygem-puma-4.3.3-1.fc33 rubygem-puma-4.3.3-1.fc32 rubygem-puma-3.12.4-1.fc30 rubygem-puma-3.12.4-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-09 14:43:18 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2020-03-23 13:58:33 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2020-03-23 13:58:38 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1816181,1816182

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Jun Aruga 2020-03-23 17:40:19 UTC
I am going to update rubygem-puma to the latest version 4.3.3.
https://rubygems.org/gems/puma

Comment 3 Jun Aruga 2020-03-30 14:09:34 UTC
> I am going to update rubygem-puma to the latest version 4.3.3.

Note I sent the pull-request today.
https://src.fedoraproject.org/rpms/rubygem-puma/pull-request/3

Comment 4 Fedora Update System 2020-03-31 19:09:37 UTC
FEDORA-2020-a3f26a9387 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3f26a9387

Comment 5 Fedora Update System 2020-03-31 19:09:38 UTC
FEDORA-2020-fd87f90634 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fd87f90634

Comment 6 Fedora Update System 2020-03-31 19:09:39 UTC
FEDORA-2020-08092b4c97 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-08092b4c97

Comment 7 Fedora Update System 2020-04-01 02:15:32 UTC
FEDORA-2020-a3f26a9387 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a3f26a9387`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3f26a9387

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-01 03:49:56 UTC
FEDORA-2020-08092b4c97 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-08092b4c97`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-08092b4c97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-01 03:54:51 UTC
FEDORA-2020-fd87f90634 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fd87f90634`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fd87f90634

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-09 14:43:18 UTC
FEDORA-2020-a3f26a9387 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-04-09 17:43:52 UTC
FEDORA-2020-08092b4c97 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-09 18:18:19 UTC
FEDORA-2020-fd87f90634 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.